
import layout from '@/views/dashboard/Index'

const routers = [
  {
    path: '/pages',
    component: layout,
    children: [
      // Pages
      {
        name: 'User Profile',
        path: '/pages/user',
        component: () => import('@/views/dashboard/pages/UserProfile')
      }
    ]
  },
  {
    path: '/course',
    component: layout,
    children: [
      {
        name: 'Course Manage',
        path: '/course/calendar',
        component: () => import('@/views/course/calendar')
      }
    ]
  }
]

export default routers

